const icons: {[name: string]: string} = {
    'arrow-down-big': '\\e030',
    'arrow-down': '\\e01a',
    'arrow-left': '\\e022',
    'arrow-right': '\\e017',
    'arrow-up-big': '\\e02f',
    'arrow-up': '\\e010',
    'arrows-up-down': '\\e016',
    'bin': '\\e038',
    'bold': '\\e026',
    'chain-broken': '\\e047',
    'code': '\\e001',
    'cog': '\\e020',
    'cogs': '\\e00c',
    'collapse-down': '\\e03f',
    'collapse-up': '\\e03e',
    'cross': '\\e012',
    'date': '\\e045',
    'doc-empty-inverse': '\\e00d',
    'doc-empty': '\\e00e',
    'doc-full-inverse': '\\e01b',
    'doc-full': '\\e018',
    'download': '\\e044',
    'duplicate': '\\e902',
    'edit': '\\e00f',
    'folder-inverse': '\\e014',
    'folder-open-1': '\\e013',
    'folder-open-inverse': '\\e01f',
    'folder': '\\e01c',
    'form': '\\e00b',
    'grip': '\\e03b',
    'group': '\\e031',
    'help': '\\e041',
    // help-inverse directly renders the corresponding character.
    'help-inverse': '?',
    'home': '\\e035',
    // horizontalrule is not rendered as an icon font – it uses a unicode dash character rendered with a fallback font.
    'horizontalrule': '\\2014',
    'image': '\\e019',
    'italic': '\\e027',
    'link': '\\e02c',
    'list-ol': '\\e029',
    'list-ul': '\\e028',
    'locked': '\\e009',
    'logout': '\\e049',
    'mail': '\\e015',
    'media': '\\e032',
    'no-view': '\\e006',
    'openquote': '\\e000',
    'order-down': '\\e036',
    'order-up': '\\e037',
    'order': '\\e034',
    'password': '\\e033',
    'pick': '\\e03d',
    'pilcrow': '\\e002',
    'placeholder': '\\e003',
    'plus-inverse': '\\e024',
    'plus': '\\e01d',
    'radio-empty': '\\e02e',
    'radio-full': '\\e02d',
    'redirect': '\\e03c',
    'repeat': '\\e02b',
    'search': '\\e011',
    'site': '\\e007',
    'snippet': '\\e025',
    'spinner': '\\e03a',
    'strikethrough': '\\e04a',
    'subscript': '\\e04c',
    'success': '\\e043',
    'superscript': '\\e04b',
    'table': '\\e048',
    'tag': '\\e01e',
    'tick-inverse': '\\e023',
    'tick': '\\e021',
    'time': '\\e008',
    'title': '\\e046',
    'undo': '\\e02a',
    'unlocked': '\\e00a',
    'user': '\\e004',
    'view': '\\e005',
    'wagtail-inverse': '\\e040',
    'wagtail': '\\e039',
    'warning': '\\e042',
};

export function getIcon(name: string): string | null {
    return icons[name] || null;
}
